PrefabFiles = {
	"shovelknight",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/shovelknight.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/shovelknight.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/shovelknight.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/shovelknight.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/shovelknight_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/shovelknight_silho.xml" ),

    Asset( "IMAGE", "bigportraits/shovelknight.tex" ),
    Asset( "ATLAS", "bigportraits/shovelknight.xml" ),
	
	Asset( "IMAGE", "images/map_icons/shovelknight.tex" ),
	Asset( "ATLAS", "images/map_icons/shovelknight.xml" ),

}

local require = GLOBAL.require


-- The character select screen lines
GLOBAL.STRINGS.CHARACTER_TITLES.shovelknight = "The ace"
GLOBAL.STRINGS.CHARACTER_NAMES.shovelknight = "Ser knight"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.shovelknight = "*A hearty body for protecting\n*Always comes prepared\n*His heart will guide him"
GLOBAL.STRINGS.CHARACTER_QUOTES.shovelknight = "\"Princess, I've come for you!\""

-- Custom speech strings
GLOBAL.STRINGS.CHARACTERS.SHOVELKNIGHT = require "speech_shovelknight"

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "shovelknight")


function shovelweapon(inst)
	if GLOBAL.GetPlayer().prefab == "shovelknight" then     
		inst.components.weapon:SetDamage(85)
	end
end

AddMinimapAtlas("images/map_icons/shovelknight.xml")
AddModCharacter("shovelknight")
AddPrefabPostInit("shovel", shovelweapon)
AddPrefabPostInit("goldenshovel", shovelweapon)